complexType "CalculationPeriod"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 12 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedStartDate?, unadjustedEndDate?, adjustedStartDate?, adjustedEndDate?, calculationPeriodNumberOfDays?, (notionalAmount? | fxLinkedNotionalAmount?), (floatingRateDefinition? | fixedRate?), dayCountYearFraction?, forecastAmount?, forecastRate?
</...>

Content Model Elements (12):

  adjustedEndDate, adjustedStartDate, calculationPeriodNumberOfDays (in calculationPeriod), dayCountYearFraction, fixedRate (in calculationPeriod), floatingRateDefinition, | forecastAmount, forecastRate (in calculationPeriod), fxLinkedNotionalAmount, notionalAmount (in calculationPeriod), unadjustedEndDate (in calculationPeriod), unadjustedStartDate (in calculationPeriod)

All Direct / Indirect Based Elements (1):

  calculationPeriod

Known Usage Locations

- As direct type of elements (1):
  calculationPeriod

Annotation
A type defining the parameters used in the calculation of a fixed or floating rate calculation period amount. This type forms part of cashflows representation of a swap stream.
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="CalculationPeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="unadjustedEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"/> <xsd:choice> <xsd:element minOccurs="0" name="notionalAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="fxLinkedNotionalAmount" type="FxLinkedNotionalAmount"/> </xsd:choice> <xsd:choice> <xsd:element minOccurs="0" name="floatingRateDefinition" type="FloatingRateDefinition"/> <xsd:element minOccurs="0" name="fixedRate" type="xsd:decimal"/> </xsd:choice> <xsd:element minOccurs="0" name="dayCountYearFraction" type="xsd:decimal"/> <xsd:element minOccurs="0" name="forecastAmount" type="Money"/> <xsd:element minOccurs="0" name="forecastRate" type="xsd:decimal"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 12/12)
adjustedEndDate

  Type: | xsd:date, predefined, simple content

  The calculation period end date, adjusted according to any relevant business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedEndDate" type="xsd:date"/>

adjustedStartDate

  Type: | xsd:date, predefined, simple content

  The calculation period start date, adjusted according to any relevant business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedStartDate" type="xsd:date"/>

calculationPeriodNumberOfDays

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days from the adjusted effective / start date to the adjusted termination / end date calculated in accordance with the applicable day count fraction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"/>

dayCountYearFraction

  Type: | xsd:decimal, predefined, simple content

  The year fraction value of the calculation period, result of applying the ISDA rules for day count fraction defined in the ISDA Annex.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountYearFraction" type="xsd:decimal"/>

fixedRate

  Type: | xsd:decimal, predefined, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="xsd:decimal"/>

floatingRateDefinition

  Type: | FloatingRateDefinition, complex content

  The floating rate reset information for the calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingRateDefinition" type="FloatingRateDefinition"/>

forecastAmount

  Type: | Money, complex content

  The amount representing the forecast of the accrued value of the calculation period. An intermediate value used to generate the forecastPaymentAmount in the PaymentCalculationPeriod.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forecastAmount" type="Money"/>

forecastRate

  Type: | xsd:decimal, predefined, simple content

  A value representing the forecast rate used to calculate the forecast future value of the accrual period. This is a calculated rate determined based on averaging the rates in the rateObservation elements, and incorporates all of the rate treatment and averaging rules. A value of 1% should be represented as 0.01
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forecastRate" type="xsd:decimal"/>

fxLinkedNotionalAmount

  Type: | FxLinkedNotionalAmount, complex content

  The amount that a cashflow will accrue interest on. This is the calculated amount of the fx linked - ie the other currency notional amount multiplied by the appropriate fx spot rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxLinkedNotionalAmount" type="FxLinkedNotionalAmount"/>

notionalAmount

  Type: | xsd:decimal, predefined, simple content

  The amount that a cashflow will accrue interest on.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="xsd:decimal"/>

unadjustedEndDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="unadjustedEndDate" type="xsd:date"/>

unadjustedStartDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="unadjustedStartDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.